#!/bin/sh
# Copyright 2005 Toshiyuki Maeda
#
# This file is part of TALK.
#
# TALK is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# TALK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

if [ $# -ne 2 ]
then
	echo "usage : $0 assembler filename"
	exit 1;
else

asm=$1
file=$2
obj=${file%.tal}.o

if [ ! -x $asm ]
then
	echo "$asm does not exist"
	exit 1;
fi

$asm $file | gcc -xassembler - -c -o $obj
fi
